#
# Conditional build:
%bcond_without	tests		# build with tests

Summary:	Khronos reference front-end for GLSL and ESSL
Summary(pl.UTF-8):	Wzorcowy frontend GLSL i ESSL z projektu Khronos
Name:		glslang
Version:	7.12.3352
Release:	1
License:	BSD-like
Group:		Applications/Graphics
#Source0Download: https://github.com/KhronosGroup/glslang/releases
Source0:	https://github.com/KhronosGroup/glslang/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b31bc89ffa86dbb5ab638c9c2a412302
Patch0:		runtests.patch
Patch1:		%{name}-system-spirv.patch
URL:		https://github.com/KhronosGroup/glslang
BuildRequires:	cmake >= 2.8.11
BuildRequires:	bison
BuildRequires:	libstdc++-devel >= 6:4.7
%{?with_tests:BuildRequires:	spirv-tools-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An OpenGL and OpenGL ES shader front end and validator.

%description -l pl.UTF-8
Frontend i walidator shaderów OpenGL i OpenGL ES.

%package devel
Summary:	Khronos reference front-end libraries for GLSL and ESSL
Summary(pl.UTF-8):	Wzorcowe biblioteki frontendowe GLSL i ESSL z projektu Khronos
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
A front-end libraries for programmatic parsing of GLSL/ESSL into an
AST.

%description devel -l pl.UTF-8
Biblioteki frontendowe do programowej analizy GLSL/ESSL do postaci
AST.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake ..
%{__make}
cd ..

%if %{with tests}
cd Test
./runtests
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README-spirv-remap.txt
%attr(755,root,root) %{_bindir}/glslangValidator
%attr(755,root,root) %{_bindir}/spirv-remap
%attr(755,root,root) %{_libdir}/libHLSL.so
%attr(755,root,root) %{_libdir}/libSPIRV.so
%attr(755,root,root) %{_libdir}/libSPVRemapper.so
%attr(755,root,root) %{_libdir}/libglslang.so
%attr(755,root,root) %{_libdir}/libglslang-default-resource-limits.so

%files devel
%defattr(644,root,root,755)
%doc README.md
%{_libdir}/libOGLCompiler.a
%{_libdir}/libOSDependent.a
%{_includedir}/SPIRV
%{_includedir}/glslang
%changelog
* Sat Oct 26 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glslang.git;a=log;h=master

* Sat Sep 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 6a12360
- Merge remote-tracking branch 'origin/SPIRV-1.3'

* Sat Sep 21 2019 Jan Palus <atler@pld-linux.org> bf8c063
- up to 7.12.3352

* Fri May 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 3849af3
- -devel requires base, few libraries are shared now

* Fri May 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 2466cb4
- updated to 7.11.3214 (targeted for SPIRV-1.3, python 2.x)
- added system-spirv patch (use system SPIRV-Tools libraries for tests)

* Sat Feb 10 2018 Jan Palus <atler@pld-linux.org> ee6519c
- up to 20180205 snap

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 0187a0d
- pl, revised BRs
- adjusted runtests patch to use tools from build dir
- added libdir patch (honour LIB_SUFFIX), install process cleanup

* Mon Apr 03 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 6e2afc3
- newer snapshot for current vulkan-sdk

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 53d949b
- snapshot 20161029, for vulkan-sdk 1.0.32.0

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> bfd9378
- Release: 2

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 4058043
- another take on isinf.patch

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 0429a44
- isinf.patch added

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> b2f7823
- Up to 20160513 snapshot

* Fri Apr 08 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> d36729b
- Up to 20160325 snapshot

* Sat Mar 12 2016 Jacek Konieczny <jajcus@jajcus.net> 2af08c8
- Up to revision used by Vulkan SDK 1.0.5

* Tue Feb 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 375a828
- fix C++ isinf() usage

* Tue Feb 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 4661a34
- up to 20160219 snapshot

* Sat Feb 20 2016 Jacek Konieczny <jajcus@jajcus.net> 6ff1ea0
- adapterized, release 1

* Fri Feb 19 2016 Jacek Konieczny <jajcus@jajcus.net> b9737aa
- Install all files needed by  LunarGLASS, fix doc

* Thu Feb 18 2016 Jacek Konieczny <jajcus@jajcus.net> 5dc6053
- Up to current github snapshots

* Thu Feb 18 2016 Jacek Konieczny <jajcus@jajcus.net> b97285f
- new package

